## BACKEND

backend = "glx";
glx-no-stencil = true;
glx-copy-from-front = false;

# GLX backend: Avoid rebinding pixmap on window damage.
# Probably could improve performance on rapid window content changes, but is known to break things on some drivers (LLVMpipe).
# Recommended if it works.
glx-no-rebind-pixmap = true;

## SHADOWS

shadow = true;
shadow-radius = 30;
shadow-offset-x = -25;
shadow-offset-y = -25;
shadow-opacity = 0.45;
# shadow-red = 0.0;
# shadow-green = 0.0;
# shadow-blue = 0.0;
shadow-ignore-shaped = false;

shadow-exclude = [
	"name = 'oneko'",
	"name = 'Notification'",
	"name = 'xfce4-notifyd'",
	"name *= 'VLC'",
	"name *= 'compton'",
	"name *= 'cpt_frame_window'",
	"name *= 'Chromium'",
	"name *= 'Chrome'",
	"name *= 'Conky'",
	"name *= 'Polybar tray window'",
	"class_g = 'Conky'",
	"class_g ?= 'Notify-osd'",
	"class_g ?= 'Xfce4-notifyd'",
	"class_g ?= 'Xfce4-power-manager'",
	"class_g ?= 'Wine'",
	"_GTK_FRAME_EXTENTS@:c"
];

## FADING

fading = true;
# The time between steps in a fade in milliseconds. (default 10).
fade-delta = 5;
# Opacity change between steps while fading in. (default 0.028).
fade-in-step = 0.08;
# Opacity change between steps while fading out. (default 0.03).
fade-out-step = 0.08;
# Fade windows in/out when opening/closing
# no-fading-openclose = true;

fade-exclude = [ ];

## OTHER

# Try to detect WM windows and mark them as active.
mark-wmwin-focused = true;
# Mark all non-WM but override-redirect windows active (e.g. menus).
mark-ovredir-focused = true;
use-ewmh-active-win = true;
detect-rounded-corners = true;
detect-client-opacity = true;
refresh-rate = 143.86;
vsync = true;
# Enable DBE painting mode, intended to use with VSync to (hopefully) eliminate tearing.
# Reported to have no effect, though.
dbe = false;
# Unredirect all windows if a full-screen opaque window is detected, to maximize performance for full-screen windows, like games.
# Known to cause flickering when redirecting/unredirecting windows.
# paint-on-overlay may make the flickering less obvious.
unredir-if-possible = false;

# Specify a list of conditions of windows that should always be considered focused.
focus-exclude = [ ];

detect-transient = true;
detect-client-leader = true;

## WINDOW TYPE SETTINGS

wintypes:
{
	tooltip =
	{
		focus = true;
	};
};
